The date of the advance in the product timezone. The date cannot be in the past or greater than the last due date.
- If the advance is created in
pendingorsettledstatus, the advance will be recorded in the ledger with an effective timestamp of the Create advance call. - If the advance is created in
scheduledstatus, the advance will be recorded in the ledger only when the status changes topendingorsettled.
The time of day that the advance is entered into the ledger in the product timezone.
The external unique identifier of the purchase.
scheduled- the advance was scheduled in the future. If the advance status doesn't change topending,settledorcanceledon the advance due date, the system will automatically cancel the advance on the following calendar day (aka change the status tocanceled).For example: An advance was
scheduledfor May 27, 2021. On May 28, 2021, the advance status was stillscheduled. The system will cancel the advance.settled- the advance was settled and/or funded.settledadvances increase the loan balance.pending- the advance is pending.pendingadvances increases the loan balance similar tosettled.pendingstatus is used mainly for visuals and normally shown in Borrower Portal.canceled- the advance was canceled.canceledadvances reduce the draw balance. A new advance cannot be created incanceledstatus.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/advances?sync=false' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"advanceDate": "2019-08-24",
"advanceDetails": {
"categoryId": "string",
"description": "Advance",
"merchantId": "string",
"merchantName": "string",
"metadata": {},
"pointOfSaleType": "online"
},
"advanceTimeOfDay": {
"hour": 0,
"minute": 0,
"second": 0
},
"amount": 0.1,
"externalId": "string",
"metadata": {},
"status": "scheduled"
}'{ "message": "string", "status": 0, "data": { "advanceDate": "2019-08-24", "advanceDetails": { … }, "advanceTimeOfDay": { … }, "amount": 0.1, "canceledBy": "string", "externalId": "string", "id": "string", "metadata": {}, "originalAmount": 0.1, "status": "scheduled", "timestamps": { … } } }